%global __requires_exclude libmuse_.*\\.so
%global __provides_exclude libmuse

Name:          muse
Summary:       Midi/Audio Music Sequencer
Version:       4.0.0
Release:       %mkrel 1
License:       Public Domain and GPLv2 and GPLv2+ and LGPLv2+
Group:         Sound
URL:           http://www.muse-sequencer.org/
Source0:    https://downloads.sourceforge.net/project/lmuse/%{name}-%{maj}/%{name}-%{version}.tar.xz
Source1:    muse.conf
BuildRequires: pkgconfig(alsa)
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(dssi)
BuildRequires: pkgconfig(fluidsynth)
BuildRequires: pkgconfig(jack)
BuildRequires: ladspa-devel
BuildRequires: pkgconfig(lash-1.0)
BuildRequires: pkgconfig(liblo)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig
BuildRequires: pkgconfig(python)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: pkgconfig(Qt5Widgets)

Requires:      hicolor-icon-theme

%description
MusE is a MIDI/Audio sequencer with recording and editing capabilities. It can
perform audio effects like chorus/flanger in real-time via LASH and it supports
Jack and ALSA interfaces. MusE aims to be a complete multitrack virtual studio
for Linux.


%prep
%setup -q
%apply_patches
sed -e 's/muse-4.0/muse/g' -i "src/CMakeLists.txt"

%build
%define _disable_ld_no_undefined 1
cmake -D CMAKE_INSTALL_PREFIX=/usr \
        -D CMAKE_INSTALL_LIBDIR=/usr/lib64 \
        -D CMAKE_BUILD_TYPE='None' \
        -D ENABLE_PYTHON=OFF \
        -D ENABLE_LV2_GTK2=OFF \
        -Wno-dev \
        -B build \
        -S src

make -j16 VERBOSE=1 -C build

%install
make install DESTDIR=%{buildroot} -C build

mkdir -p %{buildroot}/%{_sysconfdir}/ld.so.conf.d
install -m 0644 %SOURCE1 %{buildroot}/%{_sysconfdir}/ld.so.conf.d/%{name}.conf

%files
%{_docdir}
%{_bindir}
%{_datadir}
%{_libdir}
%{_sysconfdir}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Fri Oct 14 2021 tex - 4.0.0-1pclos2021
- new

* Sun Mar 31 2019 tex 3.0.2-1pclos2019
- new
